curl --request POST \
--url https://vpos.payven.com.tr/api/v1/Payments/{transactionId}/history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json; ver=1.0' \
--data '
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "<string>",
"extraProperties": {}
}
'{
"message": "<string>",
"isSuccess": true,
"code": "<string>",
"data": {
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"originalAmount": 123,
"netAmount": 123,
"currency": "<string>",
"isSuccess": true,
"message": "<string>",
"providerHistoryAvailable": true,
"internalHistory": [
{
"timestamp": "2023-11-07T05:31:56Z",
"status": "<string>",
"previousStatus": "<string>",
"chargeType": "<string>",
"message": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"providerTransactionId": "<string>",
"authCode": "<string>",
"hostReference": "<string>",
"orderId": "<string>",
"settlementId": "<string>",
"amount": 123,
"mdStatus": "<string>",
"cavv": "<string>",
"eci": "<string>",
"xid": "<string>"
}
],
"externalHistory": [
{
"timestamp": "2023-11-07T05:31:56Z",
"status": "<string>",
"previousStatus": "<string>",
"chargeType": "<string>",
"message": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"providerTransactionId": "<string>",
"authCode": "<string>",
"hostReference": "<string>",
"orderId": "<string>",
"settlementId": "<string>",
"amount": 123,
"mdStatus": "<string>",
"cavv": "<string>",
"eci": "<string>",
"xid": "<string>"
}
]
}
}curl --request POST \
--url https://vpos.payven.com.tr/api/v1/Payments/{transactionId}/history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json; ver=1.0' \
--data '
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "<string>",
"extraProperties": {}
}
'{
"message": "<string>",
"isSuccess": true,
"code": "<string>",
"data": {
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"originalAmount": 123,
"netAmount": 123,
"currency": "<string>",
"isSuccess": true,
"message": "<string>",
"providerHistoryAvailable": true,
"internalHistory": [
{
"timestamp": "2023-11-07T05:31:56Z",
"status": "<string>",
"previousStatus": "<string>",
"chargeType": "<string>",
"message": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"providerTransactionId": "<string>",
"authCode": "<string>",
"hostReference": "<string>",
"orderId": "<string>",
"settlementId": "<string>",
"amount": 123,
"mdStatus": "<string>",
"cavv": "<string>",
"eci": "<string>",
"xid": "<string>"
}
],
"externalHistory": [
{
"timestamp": "2023-11-07T05:31:56Z",
"status": "<string>",
"previousStatus": "<string>",
"chargeType": "<string>",
"message": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"providerTransactionId": "<string>",
"authCode": "<string>",
"hostReference": "<string>",
"orderId": "<string>",
"settlementId": "<string>",
"amount": 123,
"mdStatus": "<string>",
"cavv": "<string>",
"eci": "<string>",
"xid": "<string>"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.